Bug 187846 - Review Request: pam_keyring
Review Request: pam_keyring
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
: 187845 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-03 17:06 EDT by W. Michael Petullo
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 10:32:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2006-04-03 17:06:17 EDT
Spec Name or Url: http://flyn.org/SRPMS/pam_keyring.spec
SRPM Name or Url: http://flyn.org/SRPMS/pam_keyring-0.0.7-1.src.rpm
Description:
The pam_keyring module allows GNOME users to automatically unlock 
their default keyring using their system password when they log in. 
This allows the data in the default keyring to be used more 
transparently. Ideally, users should only every have to enter one 
password (or physical token, etc.): the password they use to 
authenticate themselves to the system when they log in.
Comment 1 Ville Skyttä 2006-04-03 17:11:03 EDT
*** Bug 187845 has been marked as a duplicate of this bug. ***
Comment 2 Jason Tibbitts 2006-06-02 21:04:26 EDT
A quick look; builds on in mock on x86_64, development.  rpmlint says:

E: pam_keyring zero-length /usr/share/doc/pam_keyring-0.0.7/FAQ
W: pam_keyring non-standard-dir-in-usr libexec

FAQ shouldn't be shipped.
The libexec warning is bogus.

This looks good enough that I might as well do a full review.  In fact, since
the only issue is the empty FAQ I'll go ahead and approve this and you can fix
it when you check in.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* source files match upstream:
   b50ff42708c0f49bc10d6cd16d182b39  pam_keyring-0.0.7.tar.gz
   b50ff42708c0f49bc10d6cd16d182b39  pam_keyring-0.0.7.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
X rpmlint has one valid complaint
* final provides and requires are sane:
   pam_keyring.so()(64bit)
   pam_keyring = 0.0.7-1
  -
   gnome-keyring >= 0.4.8
   gnome-session >= 2.10.0
   libglib-2.0.so.0()(64bit)
   libgnome-keyring.so.0()(64bit)
   pam >= 0.99.3
   pam_keyring.so()(64bit)
* shared libraries are present but internal to pam
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is not present; no test suite upstream.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED; just don't package the empty FAQ file.
Comment 3 Jason Tibbitts 2006-06-14 10:16:00 EDT
Ping?
Comment 4 Jason Tibbitts 2006-06-14 10:32:44 EDT
Sorry for pinging; the closure of this bug got lost in the crash.  I'll close it
now.

Note You need to log in before you can comment on or make changes to this bug.